package net.sf.sido.spring.mvc;

import net.sf.sido.DataFactory;
import net.sf.sido.io.xml.XMLDataObjectReader;
import net.sf.sido.io.xml.XMLDataObjectWriter;
import org.dom4j.QName;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;

import java.nio.charset.Charset;

public class XMLDataObjectHttpMessageConverter<T> extends AbstractDataObjectHttpMessageConverter<T, QName> {

    @Autowired
    public XMLDataObjectHttpMessageConverter(DataFactory factory) {
        super(new MediaType("sido", "xml", Charset.forName("UTF-8")), factory, new XMLDataObjectReader(), new XMLDataObjectWriter());
    }

}
